summaryrefslogtreecommitdiff
path: root/libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-04-30 22:27:18 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-04-30 22:27:18 -0300
commitef3d62986a4e195452561d67ae4e650fea19f134 (patch)
treea25b204959726b9dff57c197dc1385cc50fa4a2f /libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install
parent627639ef37ef8c4928c8a41829d4167fee5e0400 (diff)
downloadabslibre-ef3d62986a4e195452561d67ae4e650fea19f134.tar.gz
abslibre-ef3d62986a4e195452561d67ae4e650fea19f134.tar.bz2
abslibre-ef3d62986a4e195452561d67ae4e650fea19f134.zip
linux-libre-kmod-alx-3.9rc4.2-1: updating version, but under testing
Diffstat (limited to 'libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install')
-rw-r--r--libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install32
1 files changed, 32 insertions, 0 deletions
diff --git a/libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install b/libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install
new file mode 100644
index 000000000..069348192
--- /dev/null
+++ b/libre-testing/linux-libre-kmod-alx/linux-libre-kmod-alx.install
@@ -0,0 +1,32 @@
+generic() {
+ echo " > Running depmod now..."
+ depmod -a
+}
+
+unload() {
+ lsmod | grep alx > /dev/null
+ if [ "$?" = "0" ]; then
+ rmmod alx
+ fi
+}
+
+post_install() {
+ generic
+ echo " > Reloading alx module..."
+ echo " Please note that you may REBOOT your system to get it works!"
+ unload
+ sleep 0.5
+ modprobe alx
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ generic
+ echo " > Unloading memory resident module..."
+ unload
+ rmmod compat
+ echo " Module unloaded!."
+}